'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var iconsReact = require('@tabler/icons-react');
var cx = require('clsx');
var core = require('@mantine/core');
var HeaderControl = require('./HeaderControl.cjs');
var ColorSchemeControl_module = require('./ColorSchemeControl.module.css.cjs');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var cx__default = /*#__PURE__*/_interopDefault(cx);

function ColorSchemeControl() {
  const { setColorScheme } = core.useMantineColorScheme();
  const computedColorScheme = core.useComputedColorScheme("light", { getInitialValueInEffect: true });
  return /* @__PURE__ */ jsxRuntime.jsxs(
    HeaderControl.HeaderControl,
    {
      onClick: () => setColorScheme(computedColorScheme === "light" ? "dark" : "light"),
      tooltip: `${computedColorScheme === "dark" ? "Light" : "Dark"} mode`,
      "aria-label": "Toggle color scheme",
      children: [
        /* @__PURE__ */ jsxRuntime.jsx(iconsReact.IconSun, { className: cx__default.default(ColorSchemeControl_module.icon, ColorSchemeControl_module.light), stroke: 1.5 }),
        /* @__PURE__ */ jsxRuntime.jsx(iconsReact.IconMoon, { className: cx__default.default(ColorSchemeControl_module.icon, ColorSchemeControl_module.dark), stroke: 1.5 })
      ]
    }
  );
}

exports.ColorSchemeControl = ColorSchemeControl;
//# sourceMappingURL=ColorSchemeControl.cjs.map
