'use client';
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var core = require('@mantine/core');
var ColorSchemeControl = require('./ColorSchemeControl.cjs');
var DirectionControl = require('./DirectionControl.cjs');
var DiscordControl = require('./DiscordControl.cjs');
var GithubControl = require('./GithubControl.cjs');
var SearchControl = require('./SearchControl/SearchControl.cjs');
var SupportControl = require('./SupportControl.cjs');

function HeaderControls({
  onSearch,
  githubLink,
  withDirectionToggle = true,
  withSearch = true,
  withGithub = true,
  withDiscord = true,
  withColorScheme = true,
  withSupport = true,
  discordLink,
  ...others
}) {
  return /* @__PURE__ */ jsxRuntime.jsx(core.Tooltip.Group, { openDelay: 600, closeDelay: 100, children: /* @__PURE__ */ jsxRuntime.jsxs(core.Group, { gap: "xs", ...others, children: [
    withSearch && /* @__PURE__ */ jsxRuntime.jsx(SearchControl.SearchControl, { onClick: onSearch }),
    withDiscord && /* @__PURE__ */ jsxRuntime.jsx(DiscordControl.DiscordControl, { link: discordLink }),
    withSupport && /* @__PURE__ */ jsxRuntime.jsx(SupportControl.SupportControl, {}),
    withGithub && /* @__PURE__ */ jsxRuntime.jsx(GithubControl.GithubControl, { link: githubLink }),
    withDirectionToggle && /* @__PURE__ */ jsxRuntime.jsx(DirectionControl.DirectionControl, {}),
    withColorScheme && /* @__PURE__ */ jsxRuntime.jsx(ColorSchemeControl.ColorSchemeControl, {})
  ] }) });
}

exports.HeaderControls = HeaderControls;
//# sourceMappingURL=HeaderControls.cjs.map
