'use client';
import { jsxs, jsx } from 'react/jsx-runtime';
import { IconSun, IconMoon } from '@tabler/icons-react';
import cx from 'clsx';
import { useMantineColorScheme, useComputedColorScheme } from '@mantine/core';
import { HeaderControl } from './HeaderControl.mjs';
import classes from './ColorSchemeControl.module.css.mjs';

function ColorSchemeControl() {
  const { setColorScheme } = useMantineColorScheme();
  const computedColorScheme = useComputedColorScheme("light", { getInitialValueInEffect: true });
  return /* @__PURE__ */ jsxs(
    HeaderControl,
    {
      onClick: () => setColorScheme(computedColorScheme === "light" ? "dark" : "light"),
      tooltip: `${computedColorScheme === "dark" ? "Light" : "Dark"} mode`,
      "aria-label": "Toggle color scheme",
      children: [
        /* @__PURE__ */ jsx(IconSun, { className: cx(classes.icon, classes.light), stroke: 1.5 }),
        /* @__PURE__ */ jsx(IconMoon, { className: cx(classes.icon, classes.dark), stroke: 1.5 })
      ]
    }
  );
}

export { ColorSchemeControl };
//# sourceMappingURL=ColorSchemeControl.mjs.map
