'use client';
import { jsx } from 'react/jsx-runtime';
import { IconTextDirectionLtr, IconTextDirectionRtl } from '@tabler/icons-react';
import { useDirection, rem } from '@mantine/core';
import { HeaderControl } from './HeaderControl.mjs';

function DirectionControl() {
  const { toggleDirection, dir } = useDirection();
  return /* @__PURE__ */ jsx(
    HeaderControl,
    {
      onClick: () => toggleDirection(),
      tooltip: `${dir === "ltr" ? "RTL" : "LTR"} direction`,
      children: dir === "rtl" ? /* @__PURE__ */ jsx(
        IconTextDirectionLtr,
        {
          style: { width: rem(22), height: rem(22), pointerEvents: "none" },
          stroke: 1.5
        }
      ) : /* @__PURE__ */ jsx(
        IconTextDirectionRtl,
        {
          style: { width: rem(22), height: rem(22), pointerEvents: "none" },
          stroke: 1.5
        }
      )
    }
  );
}

export { DirectionControl };
//# sourceMappingURL=DirectionControl.mjs.map
