'use client';
import { jsx } from 'react/jsx-runtime';
import cx from 'clsx';
import { createPolymorphicComponent, Tooltip, UnstyledButton } from '@mantine/core';
import classes from './HeaderControl.module.css.mjs';

function _HeaderControl({
  tooltip,
  className,
  "aria-label": label,
  ...others
}) {
  return /* @__PURE__ */ jsx(Tooltip, { label: tooltip, children: /* @__PURE__ */ jsx(
    UnstyledButton,
    {
      className: cx(classes.control, className),
      "aria-label": label || tooltip,
      ...others
    }
  ) });
}
const HeaderControl = createPolymorphicComponent(
  _HeaderControl
);

export { HeaderControl };
//# sourceMappingURL=HeaderControl.mjs.map
