'use client';
import { jsx, jsxs } from 'react/jsx-runtime';
import { Tooltip, Group } from '@mantine/core';
import { ColorSchemeControl } from './ColorSchemeControl.mjs';
import { DirectionControl } from './DirectionControl.mjs';
import { DiscordControl } from './DiscordControl.mjs';
import { GithubControl } from './GithubControl.mjs';
import { SearchControl } from './SearchControl/SearchControl.mjs';
import { SupportControl } from './SupportControl.mjs';

function HeaderControls({
  onSearch,
  githubLink,
  withDirectionToggle = true,
  withSearch = true,
  withGithub = true,
  withDiscord = true,
  withColorScheme = true,
  withSupport = true,
  discordLink,
  ...others
}) {
  return /* @__PURE__ */ jsx(Tooltip.Group, { openDelay: 600, closeDelay: 100, children: /* @__PURE__ */ jsxs(Group, { gap: "xs", ...others, children: [
    withSearch && /* @__PURE__ */ jsx(SearchControl, { onClick: onSearch }),
    withDiscord && /* @__PURE__ */ jsx(DiscordControl, { link: discordLink }),
    withSupport && /* @__PURE__ */ jsx(SupportControl, {}),
    withGithub && /* @__PURE__ */ jsx(GithubControl, { link: githubLink }),
    withDirectionToggle && /* @__PURE__ */ jsx(DirectionControl, {}),
    withColorScheme && /* @__PURE__ */ jsx(ColorSchemeControl, {})
  ] }) });
}

export { HeaderControls };
//# sourceMappingURL=HeaderControls.mjs.map
