'use client';
import { jsx, jsxs } from 'react/jsx-runtime';
import { IconSearch } from '@tabler/icons-react';
import cx from 'clsx';
import { UnstyledButton, Group, rem, Text } from '@mantine/core';
import classes from './SearchControl.module.css.mjs';

function SearchControl({ className, ...others }) {
  return /* @__PURE__ */ jsx(UnstyledButton, { ...others, className: cx(classes.root, className), children: /* @__PURE__ */ jsxs(Group, { gap: "xs", children: [
    /* @__PURE__ */ jsx(IconSearch, { style: { width: rem(15), height: rem(15) }, stroke: 1.5 }),
    /* @__PURE__ */ jsx(Text, { fz: "sm", c: "dimmed", pr: 80, children: "Search" }),
    /* @__PURE__ */ jsx(Text, { fw: 700, className: classes.shortcut, children: "Ctrl + K" })
  ] }) });
}

export { SearchControl };
//# sourceMappingURL=SearchControl.mjs.map
